diff -Nru bbdb-2.36/debian/bbdb.emacsen-install bbdb-2.36/debian/bbdb.emacsen-install
--- bbdb-2.36/debian/bbdb.emacsen-install	2010-12-12 16:03:00.000000000 +0100
+++ bbdb-2.36/debian/bbdb.emacsen-install	2012-11-27 14:53:21.000000000 +0100
@@ -74,6 +74,11 @@
 
 	# at ELCDIR
 	( cd ${ELCDIR}
+
+	    # Prevent epg from manipulating /root/.gnupg (#694417)
+	    TMPGNUPGHOME=`mktemp -d --tmpdir gnupg.XXXXXXXXXX`
+	    export GNUPGHOME=${TMPGNUPGHOME}
+
 	    echo "Generating bbdb-autoloads..."
             echo "Generating bbdb-autoloads" >> $LOG
 	    make autoloads >> $LOG 2>&1
@@ -86,7 +91,7 @@
 		GNUSDIR=${GNUSDIR} \
 		MHEDIR=${MHEDIR} >> $LOG 2>&1
 	    mv lisp/*.elc utils/*.el .
-	    rm -rf tex utils lisp Makefile
+	    rm -rf tex utils lisp Makefile ${TMPGNUPGHOME}
 	    ${FLAVOR} ${COMPILE} *.el >> $LOG 2>&1
 	)
 	cat > ${ELCDIR}/load-path.el <<EOF 
diff -Nru bbdb-2.36/debian/changelog bbdb-2.36/debian/changelog
--- bbdb-2.36/debian/changelog	2010-12-12 16:03:00.000000000 +0100
+++ bbdb-2.36/debian/changelog	2012-11-27 14:48:38.000000000 +0100
@@ -1,3 +1,12 @@
+bbdb (2.36-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/bbdb.emacsen-install: no longer create /root/.gnupg during
+    installation of the package. This is achieved by binding GNUPGHOME to a
+    temporary directory during bytecode compilation (Closes: #694417)
+
+ -- Sébastien Villemot <sebastien@debian.org>  Tue, 27 Nov 2012 14:32:04 +0100
+
 bbdb (2.36-2) unstable; urgency=low
 
   * Update to bbdb-vcard 0.3, which better parses birthdays
